# BfR-ABC Toolbox

### Project Assets

[pipelines.tsv](static/pipelines.tsv): A table containing the pipelines that are within the scope of this project.
[paths.cfg](static/paths.cfg): A configuration file containing the base path of the pipelines.
[code_harmonization](code_harmonization): A directory containing subdirectories with symlinks to shared and/or harmonized files.

_NOTE:_ This repo shall be run within the USER scope of the BfR-ABC projects. The pipelines are expected to be in the same parent directory.

## 1) BfR-ABC Pipeline Harmonization

This repository contains the code for the BfR-ABC pipeline harmonization project.
The project aims to harmonize the code and structure of the data processing pipelines of the BfR-ABC projects.
The [scripts/symlinks_for_harmonization.sh](scripts/symlinks_for_harmonization.sh) is the main script that provides information and creates the symlinks for the pipelines files.


### Usage

To create the symlinks for the pipelines, run the following command or check the help message for more options (with `--help`):

```bash
bash scripts/symlinks_for_harmonization.sh --create_symlinks
```

## 2) Deploy all Pipelines

The [deploy_all_pipelines.sh](scripts/deploy_all_pipelines.sh) is the main script that that clones all pipelines and creates suitable computing environments for analyzing the test datasets.

## ✉️ Author

* Holger Brendebach <Holger.Brendebach (at) bfr.bund.de>
